Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3935 - imap doesn't ignore recursive symbolic links while doing LIST's
Summary: imap doesn't ignore recursive symbolic links while doing LIST's
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: imap
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-07 16:06 UTC by Jay Freeman
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-28 00:55:32 UTC


Attachments (Terms of Use)

Description Jay Freeman 1999-07-07 16:06:26 UTC
If you do your standard  LIST "" *  command when you have
recursive symbolic links (which is actually common since
gnome likes to have the link ".gnome-desktop/Home
directory/" which points back to the home directory, which
of course has a .gnome-desktop in it...) imap continues
iterating deeper and deeper on a never ending quest to list
ALL the directories.  I noticed this when I was trying to
setup Outlook 2000 to use IMAP (although this should occur
in other versions as well, just never used them for IMAP
before) and requested a list of folders.

Comment 1 Cristian Gafton 1999-08-28 00:55:59 UTC
On my system imapd iterates over the recursive symlinks and outputs
them all until each dir listed reaches a size of PATH_MAX. It
certainly does not hang.

It is unclear to me if IMAP should really handle this case - I would
recommend asking the maintainers about a feature like this.


Note You need to log in before you can comment on or make changes to this bug.